Index: branches/NERC/dev_r5518_GO6_conserv_check_up/NEMOGCM/NEMO/TOP_SRC/trcini.F90
===================================================================
--- branches/NERC/dev_r5518_GO6_conserv_check_up/NEMOGCM/NEMO/TOP_SRC/trcini.F90	(revision 9259)
+++ branches/NERC/dev_r5518_GO6_conserv_check_up/NEMOGCM/NEMO/TOP_SRC/trcini.F90	(revision 9260)
@@ -218,5 +218,4 @@
       IF ( lwp ) WRITE(numout,*)
       IF ( lwp ) WRITE(numout,*)    ' Elemental cycle totals: '
-      IF ( lwp ) CALL flush(numout)
       ! nitrogen
       ztot3d(:,:,:) = trn(:,:,:,jpphn) + trn(:,:,:,jpphd) + trn(:,:,:,jpzmi) + &
@@ -227,5 +226,4 @@
       cycletot(1)   = zsum3d + zsum2d
       IF ( lwp ) WRITE(numout,9010) 'nitrogen', zsum3d, zsum2d, cycletot(1)
-      IF ( lwp ) CALL flush(numout)
       ! silicon
       ztot3d(:,:,:) = trn(:,:,:,jppds) + trn(:,:,:,jpsil)
@@ -235,5 +233,4 @@
       cycletot(2)   = zsum3d + zsum2d
       IF ( lwp ) WRITE(numout,9010) 'silicon', zsum3d, zsum2d, cycletot(2)
-      IF ( lwp ) CALL flush(numout)
       ! iron
       ztot3d(:,:,:) = ((trn(:,:,:,jpphn) + trn(:,:,:,jpphd) + trn(:,:,:,jpzmi) + &
@@ -244,5 +241,4 @@
       cycletot(3)   = zsum3d + zsum2d
       IF ( lwp ) WRITE(numout,9010) 'iron', zsum3d, zsum2d, cycletot(3)
-      IF ( lwp ) CALL flush(numout)
       ! carbon (uses fixed C:N ratios on plankton tracers)
       ztot3d(:,:,:) = (trn(:,:,:,jpphn) * xthetapn)  + (trn(:,:,:,jpphd) * xthetapd)  +  &
@@ -254,5 +250,4 @@
       cycletot(4)   = zsum3d + zsum2d
       IF ( lwp ) WRITE(numout,9010) 'carbon', zsum3d, zsum2d, cycletot(4)
-      IF ( lwp ) CALL flush(numout)
       ! alkalinity (note benthic correction)
       ztot3d(:,:,:) = trn(:,:,:,jpalk)
@@ -262,5 +257,4 @@
       cycletot(5)   = zsum3d + zsum2d
       IF ( lwp ) WRITE(numout,9010) 'alkalinity', zsum3d, zsum2d, cycletot(5)
-      IF ( lwp ) CALL flush(numout)
       ! oxygen (note no benthic)
       ztot3d(:,:,:) = trn(:,:,:,jpoxy)
@@ -270,20 +264,21 @@
       cycletot(6)   = zsum3d + zsum2d
       IF ( lwp ) WRITE(numout,9010) 'oxygen', zsum3d, zsum2d, cycletot(6)
-      IF ( lwp ) CALL flush(numout)
       ! Check
       zsum3d        = glob_sum( cvol(:,:,:) )
       zsum2d        = glob_sum( carea(:,:) )      
-      IF ( lwp ) WRITE(numout,*)
-      IF ( lwp ) WRITE(numout,*) ' check : cvol    : ', zsum3d
-      IF ( lwp ) WRITE(numout,*) ' check : carea   : ', zsum2d
-      IF ( lwp ) WRITE(numout,*)
-      IF ( lwp ) CALL flush(numout)
-      !
-# endif
-
-      IF(lwp) WRITE(numout,*)
-      IF(lwp) WRITE(numout,*) 'trc_init : passive tracer set up completed'
-      IF(lwp) WRITE(numout,*) '~~~~~~~'
-      IF(lwp) CALL flush(numout)
+      IF ( lwp ) THEN
+         WRITE(numout,*)
+         WRITE(numout,*) ' check : cvol    : ', zsum3d
+         WRITE(numout,*) ' check : carea   : ', zsum2d
+         WRITE(numout,*)
+      ENDIF
+      !
+# endif
+
+      IF(lwp) THEN 
+          WRITE(numout,*)
+          WRITE(numout,*) 'trc_init : passive tracer set up completed'
+          WRITE(numout,*) '~~~~~~~'
+      ENDIF 
 # if defined key_debug_medusa
          CALL trc_rst_stat
Index: branches/NERC/dev_r5518_GO6_conserv_check_up/NEMOGCM/NEMO/TOP_SRC/trcrst.F90
===================================================================
--- branches/NERC/dev_r5518_GO6_conserv_check_up/NEMOGCM/NEMO/TOP_SRC/trcrst.F90	(revision 9259)
+++ branches/NERC/dev_r5518_GO6_conserv_check_up/NEMOGCM/NEMO/TOP_SRC/trcrst.F90	(revision 9260)
@@ -844,9 +844,10 @@
       zsum3d        = glob_sum( zvol(:,:,:) )
       zsum2d        = glob_sum( zarea(:,:) )
-      IF ( lwp ) WRITE(numout,*)
-      IF ( lwp ) WRITE(numout,*) ' check : cvol    : ', zsum3d
-      IF ( lwp ) WRITE(numout,*) ' check : carea   : ', zsum2d
-      IF ( lwp ) WRITE(numout,*)
-      IF ( lwp ) CALL flush(numout)
+      IF ( lwp ) THEN 
+         WRITE(numout,*)
+         WRITE(numout,*) ' check : cvol    : ', zsum3d
+         WRITE(numout,*) ' check : carea   : ', zsum2d
+         WRITE(numout,*)
+      ENDIF
       !
 9010  FORMAT(' element:',a10,                     &