Index: branches/UKMO/dev_r7750_GO6_package_oasis_timers/NEMOGCM/NEMO/OPA_SRC/DOM/domwri.F90
===================================================================
--- branches/UKMO/dev_r7750_GO6_package_oasis_timers/NEMOGCM/NEMO/OPA_SRC/DOM/domwri.F90	(revision 9252)
+++ branches/UKMO/dev_r7750_GO6_package_oasis_timers/NEMOGCM/NEMO/OPA_SRC/DOM/domwri.F90	(revision 9261)
@@ -126,10 +126,10 @@
       
       !                                                         ! masks (inum2) 
-      IF(nn_timing == 3)  CALL timing_start('rst_put')
+      IF(nn_timing == 2)  CALL timing_start('iom_rstput')
       CALL iom_rstput( 0, 0, inum2, 'tmask', tmask, ktype = jp_i1 )     !    ! land-sea mask
       CALL iom_rstput( 0, 0, inum2, 'umask', umask, ktype = jp_i1 )
       CALL iom_rstput( 0, 0, inum2, 'vmask', vmask, ktype = jp_i1 )
       CALL iom_rstput( 0, 0, inum2, 'fmask', fmask, ktype = jp_i1 )
-      IF(nn_timing == 3)  CALL timing_stop('rst_put')
+      IF(nn_timing == 2)  CALL timing_stop('iom_rstput')
       
       CALL dom_uniq( zprw, 'T' )
@@ -140,7 +140,7 @@
          END DO
       END DO                             !    ! unique point mask
-      IF(nn_timing == 3)  CALL timing_start('rst_put')
+      IF(nn_timing == 2)  CALL timing_start('iom_rstput')
       CALL iom_rstput( 0, 0, inum2, 'tmaskutil', zprt, ktype = jp_i1 )  
-      IF(nn_timing == 3)  CALL timing_stop('rst_put')
+      IF(nn_timing == 2)  CALL timing_stop('iom_rstput')
       CALL dom_uniq( zprw, 'U' )
       DO jj = 1, jpj
@@ -150,7 +150,7 @@
          END DO
       END DO
-      IF(nn_timing == 3)  CALL timing_start('rst_put')
+      IF(nn_timing == 2)  CALL timing_start('iom_rstput')
       CALL iom_rstput( 0, 0, inum2, 'umaskutil', zprt, ktype = jp_i1 )  
-      IF(nn_timing == 3)  CALL timing_stop('rst_put')
+      IF(nn_timing == 2)  CALL timing_stop('iom_rstput')
       CALL dom_uniq( zprw, 'V' )
       DO jj = 1, jpj
@@ -160,7 +160,7 @@
          END DO
       END DO
-      IF(nn_timing == 3)  CALL timing_start('rst_put')
+      IF(nn_timing == 2)  CALL timing_start('iom_rstput')
       CALL iom_rstput( 0, 0, inum2, 'vmaskutil', zprt, ktype = jp_i1 )  
-      IF(nn_timing == 3)  CALL timing_stop('rst_put')
+      IF(nn_timing == 2)  CALL timing_stop('iom_rstput')
       CALL dom_uniq( zprw, 'F' )
       DO jj = 1, jpj
@@ -170,5 +170,5 @@
          END DO
       END DO
-      IF(nn_timing == 3)  CALL timing_start('rst_put')
+      IF(nn_timing == 2)  CALL timing_start('iom_rstput')
       CALL iom_rstput( 0, 0, inum2, 'fmaskutil', zprt, ktype = jp_i1 )  
 
@@ -227,14 +227,14 @@
          CALL iom_rstput( 0, 0, inum4, 'gdepw_0', gdepw_0, ktype = jp_r4 )     
       ENDIF
-      IF(nn_timing == 3)  CALL timing_stop('rst_put') 
+      IF(nn_timing == 2)  CALL timing_stop('iom_rstput') 
       IF( ln_zps ) THEN                                         ! z-coordinate - partial steps
          !
          IF( nmsh <= 6 ) THEN                                   !    ! 3D vertical scale factors
-            IF(nn_timing == 3)  CALL timing_start('rst_put')
+            IF(nn_timing == 2)  CALL timing_start('iom_rstput')
             CALL iom_rstput( 0, 0, inum4, 'e3t_0', e3t_0 )         
             CALL iom_rstput( 0, 0, inum4, 'e3u_0', e3u_0 )
             CALL iom_rstput( 0, 0, inum4, 'e3v_0', e3v_0 )
             CALL iom_rstput( 0, 0, inum4, 'e3w_0', e3w_0 )
-            IF(nn_timing == 3)  CALL timing_stop('rst_put')
+            IF(nn_timing == 2)  CALL timing_stop('iom_rstput')
          ELSE                                                   !    ! 2D masked bottom ocean scale factors
             DO jj = 1,jpj   
@@ -244,8 +244,8 @@
                END DO
             END DO
-            IF(nn_timing == 3)  CALL timing_start('rst_put')
+            IF(nn_timing == 2)  CALL timing_start('iom_rstput')
             CALL iom_rstput( 0, 0, inum4, 'e3t_ps', e3tp )      
             CALL iom_rstput( 0, 0, inum4, 'e3w_ps', e3wp )
-            IF(nn_timing == 3)  CALL timing_stop('rst_put')
+            IF(nn_timing == 2)  CALL timing_stop('iom_rstput')
          END IF
          !
@@ -261,9 +261,9 @@
             END DO
             CALL lbc_lnk( zdepu, 'U', 1. )   ;   CALL lbc_lnk( zdepv, 'V', 1. ) 
-            IF(nn_timing == 3)  CALL timing_start('rst_put')
+            IF(nn_timing == 2)  CALL timing_start('iom_rstput')
             CALL iom_rstput( 0, 0, inum4, 'gdepu', zdepu, ktype = jp_r4 )
             CALL iom_rstput( 0, 0, inum4, 'gdepv', zdepv, ktype = jp_r4 )
             CALL iom_rstput( 0, 0, inum4, 'gdepw_0', gdepw_0, ktype = jp_r4 )
-            IF(nn_timing == 3)  CALL timing_stop('rst_put')
+            IF(nn_timing == 2)  CALL timing_stop('iom_rstput')
          ELSE                                                   !    ! 2D bottom depth
             DO jj = 1,jpj   
@@ -273,26 +273,26 @@
                END DO
             END DO
-            IF(nn_timing == 3)  CALL timing_start('rst_put')
+            IF(nn_timing == 2)  CALL timing_start('iom_rstput')
             CALL iom_rstput( 0, 0, inum4, 'hdept', zprt, ktype = jp_r4 )     
             CALL iom_rstput( 0, 0, inum4, 'hdepw', zprw, ktype = jp_r4 ) 
-            IF(nn_timing == 3)  CALL timing_stop('rst_put')
+            IF(nn_timing == 2)  CALL timing_stop('iom_rstput')
          ENDIF
          !
-         IF(nn_timing == 3)  CALL timing_start('rst_put')
+         IF(nn_timing == 2)  CALL timing_start('iom_rstput')
          CALL iom_rstput( 0, 0, inum4, 'gdept_1d', gdept_1d )   !    ! reference z-coord.
          CALL iom_rstput( 0, 0, inum4, 'gdepw_1d', gdepw_1d )
          CALL iom_rstput( 0, 0, inum4, 'e3t_1d'  , e3t_1d   )
          CALL iom_rstput( 0, 0, inum4, 'e3w_1d'  , e3w_1d   )
-         IF(nn_timing == 3)  CALL timing_stop('rst_put')
+         IF(nn_timing == 2)  CALL timing_stop('iom_rstput')
       ENDIF
       
       IF( ln_zco ) THEN
          !                                                      ! z-coordinate - full steps
-         IF(nn_timing == 3)  CALL timing_start('rst_put')
+         IF(nn_timing == 2)  CALL timing_start('iom_rstput')
          CALL iom_rstput( 0, 0, inum4, 'gdept_1d', gdept_1d )   !    ! depth
          CALL iom_rstput( 0, 0, inum4, 'gdepw_1d', gdepw_1d )
          CALL iom_rstput( 0, 0, inum4, 'e3t_1d'  , e3t_1d   )   !    ! scale factors
          CALL iom_rstput( 0, 0, inum4, 'e3w_1d'  , e3w_1d   )
-         IF(nn_timing == 3)  CALL timing_stop('rst_put')
+         IF(nn_timing == 2)  CALL timing_stop('iom_rstput')
       ENDIF
       !                                     ! ============================