Index: branches/NERC/dev_r5518_GO6_up_CFC_hist/NEMOGCM/CONFIG/SHARED/cfc1112sf6.atm
===================================================================
--- branches/NERC/dev_r5518_GO6_up_CFC_hist/NEMOGCM/CONFIG/SHARED/cfc1112sf6.atm	(revision 9273)
+++ branches/NERC/dev_r5518_GO6_up_CFC_hist/NEMOGCM/CONFIG/SHARED/cfc1112sf6.atm	(revision 9277)
@@ -1,92 +1,92 @@
-% Atmospheric lifetimes are   44 for CFC-11
-%                       and  125 for CFC-12
-%			and 1278 for SF6    (Kovacs et al., 2017)
-% rel=  0
-%        <-Northern Data->       <-Southern Data->
-% Year  CFC-11  CFC-12  SF6     CFC-11  CFC-12  SF6
-%       (ppt)   (ppt)   (ppt)   (ppt)   (ppt)   (ppt)
-1931.5	 0.00	 0.00	 0.00	 0.00	 0.00	 0.00
-1932.5	 0.00	 0.00	 0.00	 0.00	 0.00	 0.00
-1933.5	 0.00	 0.00	 0.00	 0.00	 0.00	 0.00
-1934.5	 0.00	 0.00	 0.00	 0.00	 0.00	 0.00
-1935.5	 0.00	 0.00	 0.00	 0.00	 0.00	 0.00
-1936.5	 0.00	 0.10	 0.00	 0.00	 0.00	 0.00
-1937.5	 0.00	 0.10	 0.00	 0.00	 0.10	 0.00
-1938.5	 0.00	 0.20	 0.00	 0.00	 0.10	 0.00
-1939.5	 0.00	 0.30	 0.00	 0.00	 0.20	 0.00
-1940.5	 0.00	 0.40	 0.00	 0.00	 0.30	 0.00
-1941.5	 0.00	 0.50	 0.00	 0.00	 0.40	 0.00
-1942.5	 0.00	 0.70	 0.00	 0.00	 0.50	 0.00
-1943.5	 0.00	 0.90	 0.00	 0.00	 0.70	 0.00
-1944.5	 0.00	 1.20	 0.00	 0.00	 0.90	 0.00
-1945.5	 0.10	 1.70	 0.00	 0.00	 1.20	 0.00
-1946.5	 0.10	 2.30	 0.00	 0.10	 1.70	 0.00
-1947.5	 0.10	 3.40	 0.00	 0.10	 2.40	 0.00
-1948.5	 0.20	 4.80	 0.00	 0.10	 3.40	 0.00
-1949.5	 0.40	 6.10	 0.00	 0.20	 4.70	 0.00
-1950.5	 0.70	 7.60	 0.00	 0.40	 6.00	 0.00
-1951.5	 1.01	 9.20	 0.00	 0.70	 7.40	 0.00
-1952.5	 1.51	11.00	 0.00	 1.01	 9.00	 0.00
-1953.5	 2.21	12.80	 0.04	 1.51	10.70	 0.04
-1954.5	 3.02	15.00	 0.04	 2.21	12.60	 0.04
-1955.5	 4.12	17.40	 0.04	 3.02	14.70	 0.04
-1956.5	 5.33	20.20	 0.04	 4.02	17.10	 0.04
-1957.5	 6.83	23.40	 0.05	 5.23	19.90	 0.04
-1958.5	 8.14	26.80	 0.05	 6.53	23.00	 0.04
-1959.5	 9.45	30.50	 0.05	 7.84	26.30	 0.05
-1960.5	11.06	35.00	 0.05	 9.15	30.10	 0.05
-1961.5	13.27	40.00	 0.06	10.85	34.40	 0.06
-1962.5	16.18	45.80	 0.07	13.07	39.40	 0.06
-1963.5	19.60	52.50	 0.08	15.78	45.10	 0.07
-1964.5	23.72	60.40	 0.09	19.20	51.80	 0.08
-1965.5	28.44	69.30	 0.11	23.12	59.50	 0.10
-1966.5	33.67	79.20	 0.13	27.64	68.20	 0.12
-1967.5	39.40	90.30	 0.15	32.66	77.90	 0.14
-1968.5	46.03	102.80	 0.18	38.29	88.80	 0.17
-1969.5	53.77	116.80	 0.21	44.82	101.10	 0.19
-1970.5	62.41	132.00	 0.23	52.26	114.70	 0.22
-1971.5	72.06	148.40	 0.26	60.70	129.60	 0.24
-1972.5	82.71	166.10	 0.30	69.95	145.70	 0.28
-1973.5	94.87	185.80	 0.34	80.40	163.30	 0.31
-1974.5	108.34	207.10	 0.38	92.16	182.50	 0.35
-1975.5	121.41	228.20	 0.44	104.72	202.90	 0.40
-1976.5	133.97	248.10	 0.50	117.09	223.20	 0.46
-1977.5	145.93	266.90	 0.58	129.35	242.70	 0.53
-1978.5	156.58	284.30	 0.66	140.80	261.20	 0.61
-1979.5	168.34	306.10	 0.76	148.74	273.50	 0.70
-1980.5	176.68	323.20	 0.88	159.30	292.30	 0.81
-1981.5	184.32	339.60	 1.00	167.84	308.80	 0.93
-1982.5	191.46	353.40	 1.13	176.08	325.50	 1.04
-1983.5	199.30	369.00	 1.27	184.52	342.60	 1.17
-1984.5	208.04	385.70	 1.40	192.46	359.40	 1.29
-1985.5	217.99	403.40	 1.55	202.01	378.20	 1.43
-1986.5	229.35	424.30	 1.71	211.36	396.50	 1.58
-1987.5	241.61	444.00	 1.88	222.21	416.30	 1.73
-1988.5	252.86	465.40	 2.05	233.27	435.80	 1.89
-1989.5	259.30	483.60	 2.22	242.11	454.40	 2.05
-1990.5	265.83	497.70	 2.41	251.06	472.70	 2.22
-1991.5	268.24	506.00	 2.62	256.68	487.30	 2.42
-1992.5	268.14	516.30	 2.85	260.80	498.30	 2.63
-1993.5	269.55	523.20	 3.09	262.51	507.00	 2.84
-1994.5	269.65	528.50	 3.33	263.72	514.80	 3.07
-1995.5	268.34	533.40	 3.58	263.22	521.00	 3.30
-1996.5	266.93	537.30	 3.86	262.91	526.50	 3.55
-1997.5	265.73	540.10	 4.07	262.01	530.80	 3.81
-1998.5	264.52	542.90	 4.25	261.01	534.30	 4.01
-1999.5	263.12	544.40	 4.48	259.90	537.20	 4.25
-2000.5	261.71	545.90	 4.68	258.29	539.00	 4.46
-2001.5	260.00	546.50	 4.90	256.98	540.60	 4.65
-2002.5	258.19	546.70	 5.14	255.08	541.30	 4.88
-2003.5	256.18	546.70	 5.37	253.27	541.60	 5.07
-2004.5	253.97	545.70	 5.58	251.36	541.50	 5.30
-2005.5	251.96	544.90	 5.80	249.15	540.70	 5.51
-2006.5	249.55	543.10	 6.04	247.34	539.80	 5.75
-2007.5	247.54	541.10	 6.33	245.03	538.10	 6.03
-2008.5	245.63	538.60	 6.62	243.12	536.20	 6.29
-2009.5	243.61	536.12	 6.89	241.05	533.47	 6.58
-2010.5	241.31	533.26	 7.21	239.15	531.03	 6.87
-2011.5	239.40	530.60	 7.46	236.84	528.53	 7.17
-2012.5	236.89	527.20	 7.73	234.77	526.00	 7.43
-2013.5	235.57	525.22	 8.09	232.88	523.25	 7.73
-2014.5	234.97	522.97	 8.40	231.49	521.00	 8.11
-2015.5	234.36	520.71	 8.72	230.09	518.74	 8.50
+% Data source is Meinshausen et al., GMD, doi:10.5194/gmd-10-2057-2017, 2017
+%      
+% Atmospheric lifetimes are 44 for CFC-11, 125 for CFC-12, 1278 for SF6 (Kovacs et al., 2017)
+%      
+%                  <- Northern Data ->                       <- Southern Data ->
+% Year  CFC-11        CFC-12        SF6           CFC-11        CFC-12        SF6
+%       (ppt)         (ppt)         (ppt)         (ppt)         (ppt)         (ppt)
+1931.5   0.000000000   0.000000000   0.000000000   0.000000000   0.000000000   0.000000000
+1932.5   0.000000000   0.000000000   0.000000000   0.000000000   0.000000000   0.000000000
+1933.5   0.000000000   0.000000000   0.000000000   0.000000000   0.000000000   0.000000000
+1934.5   0.000000000   0.000000000   0.000000000   0.000000000   0.000000000   0.000000000
+1935.5   0.000000000   0.000000000   0.000000000   0.000000000   0.000000000   0.000000000
+1936.5   0.000000000   0.000000000   0.000000000   0.000000000   0.000000000   0.000000000
+1937.5   0.000000000   0.000000000   0.000000000   0.000000000   0.000000000   0.000000000
+1938.5   0.000000000   0.000000000   0.000000000   0.000000000   0.000000000   0.000000000
+1939.5   0.000000000   0.000000000   0.000000000   0.000000000   0.000000000   0.000000000
+1940.5   0.000000000   0.000000000   0.000000000   0.000000000   0.000000000   0.000000000
+1941.5   0.000000000   0.000000000   0.000000000   0.000000000   0.000000000   0.000000000
+1942.5   0.000000000   0.000000000   0.000000000   0.000000000   0.000000000   0.000000000
+1943.5   0.000000000   0.000000000   0.000000000   0.000000000   0.000000000   0.000000000
+1944.5   0.000000000   0.038867314   0.000000000   0.000000000   0.000000000   0.000000000
+1945.5   0.009688290   0.663173319   0.000000000   0.000000000   0.179827114   0.000000000
+1946.5   0.143045720   1.985999093   0.000000000   0.023698859   1.285422242   0.000000000
+1947.5   0.379218365   3.193964895   0.000000000   0.220803722   2.476063155   0.000000000
+1948.5   0.580945173   4.387486320   0.000000000   0.419080845   3.662542203   0.000000000
+1949.5   0.782666568   5.581273050   0.000549548   0.617357376   4.848752951   0.000000000
+1950.5   0.984557214   6.769593313   0.003847009   0.803206476   5.994921048   0.000000000
+1951.5   1.284320135   8.264422444   0.009397031   1.009390929   7.286283933   0.001536690
+1952.5   1.751919189   9.972960352   0.019397594   1.356134124   8.915840517   0.010601102
+1953.5   2.396171508  11.802868940   0.029399135   1.862701833  10.623781580   0.020599733
+1954.5   3.197498849  13.870027240   0.039400408   2.529694010  12.537828600   0.030598368
+1955.5   4.181823038  16.192572860   0.049401890   3.353758626  14.686691500   0.040596982
+1956.5   5.408367887  18.877954460   0.059403132   4.393167031  17.136322300   0.050595625
+1957.5   6.800583775  21.959182680   0.069404672   5.678210925  19.995897560   0.060594229
+1958.5   8.109249026  25.232145770   0.079405828   7.025216180  23.136534410   0.070592887
+1959.5   9.364839076  28.782123950   0.089957041   8.229409091  26.435978480   0.080041923
+1960.5  10.961720980  32.981516050   0.103255528   9.512521657  30.229203850   0.086743257
+1961.5  13.098760490  37.798568210   0.119356372  11.236947540  34.674761270   0.100641697
+1962.5  15.806523630  43.278169070   0.142106425  13.473262950  39.675387420   0.117891153
+1963.5  19.142178090  49.713651640   0.164361543  16.291888010  45.495533750   0.145635149
+1964.5  23.108328390  57.245187220   0.188815808  19.735014550  52.354422360   0.171181549
+1965.5  27.634690050  65.793446420   0.208818626  23.784909990  60.264583310   0.191178919
+1966.5  32.665831640  75.353011050   0.229920965  28.341636240  69.142848910   0.210076955
+1967.5  38.316556900  86.107808700   0.255418696  33.416399210  79.112483860   0.224578774
+1968.5  44.735303660  98.182966260   0.280476202  39.142961190  90.336360240   0.259519833
+1969.5  52.151274820 111.656266200   0.312678543  45.693939430 102.922093500   0.287318198
+1970.5  60.613170970 126.422438900   0.338519712  53.293339390 116.875940400   0.311477435
+1971.5  69.897071760 142.297806200   0.370362628  61.795945320 131.978603500   0.339633595
+1972.5  80.234894440 159.492249000   0.406704311  71.106880930 148.220203100   0.373291446
+1973.5  92.060689870 178.472060300   0.444047013  81.684543110 166.042459600   0.405949009
+1974.5 105.178774000 199.227131900   0.480312763  93.899031340 185.901366400   0.439683079
+1975.5 117.911807200 219.810875300   0.523903675 106.751720900 206.659568300   0.476091548
+1976.5 130.343837600 239.408134200   0.572256652 119.117657300 226.586306200   0.516504001
+1977.5 142.219969600 258.214583500   0.626388196 131.371426600 245.773827600   0.562714149
+1978.5 153.113398300 276.017264300   0.696150017 142.895762800 263.985107500   0.623841447
+1979.5 162.202761200 292.347643700   0.812090348 153.074182700 280.640673300   0.727894916
+1980.5 170.549832500 307.880370800   0.935045695 161.605210900 296.484130200   0.844940387
+1981.5 179.351297200 324.962932600   1.046734711 170.125714200 313.877328300   0.953252570
+1982.5 187.950305300 340.530803500   1.169926107 178.604640000 329.755733600   1.070059130
+1983.5 196.735262000 357.738289200   1.291227619 185.599386800 347.273901700   1.188758518
+1984.5 204.762469700 371.876326200   1.416857943 195.171812600 361.722131600   1.303127876
+1985.5 215.873492800 388.188723100   1.561837923 212.193414900 378.345775800   1.438144645
+1986.5 227.522075400 407.178327900   1.716048488 217.157292600 397.646115500   1.583933775
+1987.5 240.190457900 427.957943400   1.869707646 226.480823700 418.736889000   1.730274813
+1988.5 252.058437700 453.778202600   2.044378892 237.593073300 444.868007800   1.895600064
+1989.5 262.049348500 472.372671200   2.228929130 251.129280100 463.771674800   2.071049716
+1990.5 267.575634500 486.901340600   2.435940646 258.594751500 478.610778900   2.264034718
+1991.5 271.230956000 497.774404700   2.654242110 264.349351600 489.794008700   2.465733098
+1992.5 273.831070100 509.702792000   2.866500124 267.720798900 502.033162200   2.673475265
+1993.5 273.945764200 515.668165900   3.085544448 268.391783500 508.308038500   2.894428964
+1994.5 271.795241000 521.738523100   3.309082959 267.460351200 514.689605700   3.110891434
+1995.5 269.685428600 528.026399700   3.542366533 266.522277400 521.287811800   3.317607625
+1996.5 268.073596200 534.583677500   3.773134326 265.438083100 528.232327800   3.546838149
+1997.5 266.453104000 537.731639800   3.994189752 264.130600200 532.194428200   3.785783234
+1998.5 264.913731800 540.053176900   4.206509651 262.853994000 535.280876200   4.013465478
+1999.5 263.459827100 542.046819000   4.446086436 261.631906900 538.239246100   4.271200839
+2000.5 262.132481900 544.180172700   4.651259604 260.207202300 540.585804400   4.476357559
+2001.5 260.471526100 544.881386300   4.865827704 258.628138300 541.508641600   4.687866329
+2002.5 258.489693000 545.065563300   5.079981286 256.847889800 542.246410300   4.901033791
+2003.5 256.166454100 544.639059000   5.302011306 254.659160100 542.062934900   5.113722681
+2004.5 253.882504600 543.913651400   5.530738089 252.505094600 541.782337200   5.339654734
+2005.5 251.673053900 543.148746600   5.753753167 250.156553300 541.143210100   5.558261370
+2006.5 249.401769500 541.513579900   5.992508361 247.927822000 539.786352800   5.791203000
+2007.5 247.150505600 539.345084600   6.267930186 245.677153300 537.506884100   6.060076126
+2008.5 245.201888600 537.354714000   6.564939520 243.751755800 535.313215200   6.342145730
+2009.5 243.121499600 534.793824000   6.843882838 241.800148000 532.758130800   6.612765841
+2010.5 241.116221100 532.217861500   7.127375127 239.787397100 530.346071300   6.893030668
+2011.5 238.933505200 529.422672600   7.422190116 237.558119900 527.643272300   7.192454112
+2012.5 236.870742900 526.639031400   7.715680894 235.542931900 525.028908200   7.481265761
+2013.5 235.157609300 523.841159400   8.034125042 233.604126900 522.388791500   7.787615562
+2014.5 234.023659400 521.328086600   8.345646183 232.136081000 519.833842900   8.097219954
+2015.5 234.023659400 521.328086600   8.345646183 232.136081000 519.833842900   8.097219954